Subject: Re: bug#18756: 24.4; shell-script-mode does wrong indentation

From: Alexis <[email-masked]>
Date: Tue, 21 Oct 2014 00:59:08 +1100

Glenn Morris writes:

> Sorry, no idea.
> Anyone?

Superficially, it looks like return/enter is only sending a line feed,
not a line feed + carriage return[1]; i wonder if there's some SLES setting
influencing this?

(Sometimes after exiting from Emacs back into a shell - zsh on Debian
Wheezy - i observe similar behaviour from the shell, i.e. output seems
to no longer include carriage returns, only line feeds. But i've not
been able to reproduce this reliably.)

[1] In terms of cursor position, not necessarily actual \l and \r
characters.